Bug 712534 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000022: TAINTED Die
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:75b7e66609aea86bff37b88d6ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-10 17:33 EDT by Ronald Canete
Modified: 2011-08-17 22:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronald Canete 2011-06-10 17:33:09 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_LVM_LV=VolGroup/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
component:      kernel
kernel:         2.6.38.6-27.fc15.i686.PAE
kernel_tainted: 128
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: unable to handle kernel NULL pointer dereference at 00000022
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Sat May 28 14:45:27 2011

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000022
:IP: [<00000022>] 0x22
:*pdpt = 00000000104f5001 *pde = 000000004f4cc067 
:Oops: 0010 [#1] SMP 
:last sysfs file: /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-6/idProduct
:Modules linked in: nls_utf8 udf ip6table_filter ip6_tables fuse vboxnetadp vboxnetflt vboxdrv sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ses enclosure uvcvideo videodev btusb bluetooth snd_hda_codec_idt arc4 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 snd_pcm b44 iwlcore r852 sm_common nand nand_ids nand_ecc mac80211 snd_timer mtd snd dell_wmi dell_laptop ssb sparse_keymap mii soundcore cfg80211 microcode rfkill i2c_i801 wmi snd_page_alloc iTCO_wdt dcdbas iTCO_vendor_support joydev ipv6 sdhci_pci sdhci mmc_core firewire_ohci usb_storage firewire_core uas crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: ip6_tables]
:Pid: 4426, comm: umount Not tainted 2.6.38.6-27.fc15.i686.PAE #1 Dell Inc. Inspiron 1520                   /0KY767
:EIP: 0060:[<00000022>] EFLAGS: 00010206 CPU: 0
:EIP is at 0x22
:EAX: f19d1080 EBX: 00000022 ECX: 00000010 EDX: db0df910
:ESI: db0df910 EDI: 00000000 EBP: e5c75d5c ESP: e5c75d54
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process umount (pid: 4426, ti=e5c74000 task=ee49e480 task.ti=e5c74000)
:Stack:
: c05be006 f19d1080 e5c75d88 c05c2525 00800000 00000000 00000001 01c75d98
: 00000001 02000000 f19d1080 00000010 04000000 e5c75dcc c05c2df5 00000010
: 00000000 00000000 f4637000 00000000 00000000 00000002 f4637000 f4061e40
:Call Trace:
: [<c05be006>] ? elv_set_request+0x17/0x25
: [<c05c2525>] get_request+0x186/0x21c
: [<c05c2df5>] get_request_wait+0x2b/0x132
: [<c0435ad6>] ? __might_sleep+0x29/0xe4
: [<c05c2f36>] blk_get_request+0x3a/0x63
: [<c0695328>] scsi_execute+0x26/0x110
: [<c0695446>] ? scsi_execute_req+0x34/0xad
: [<c0695497>] scsi_execute_req+0x85/0xad
: [<c0691b93>] ioctl_internal_command.constprop.1+0x6f/0x15f
: [<c0691cd3>] scsi_set_medium_removal+0x50/0x87
: [<c04bbbab>] ? truncate_inode_pages_range+0x18c/0x209
: [<c06a2c5b>] sr_lock_door+0x1b/0x1d
: [<c06c17c5>] cdrom_release+0x180/0x1e2
: [<c0469710>] ? smp_call_function_many+0xdd/0x1b4
: [<c0435ad6>] ? __might_sleep+0x29/0xe4
: [<c050cc88>] ? brelse+0x11/0x13
: [<c042f603>] ? should_resched+0xd/0x27
: [<c07e7d71>] ? _cond_resched+0xd/0x21
: [<c06a1d52>] sr_block_release+0x28/0x3f
: [<c05111b4>] __blkdev_put+0xa7/0x135
: [<c0511324>] blkdev_put+0xe2/0xe7
: [<c04ef373>] kill_block_super+0x5c/0x60
: [<c04ef54a>] deactivate_locked_super+0x1f/0x40
: [<c04efedb>] deactivate_super+0x2e/0x31
: [<c0501a88>] mntput_no_expire+0xb5/0xb9
: [<c0502326>] sys_umount+0x270/0x297
: [<c04f538e>] ? path_put+0x1a/0x1d
: [<c040969f>] sysenter_do_call+0x12/0x28
:Code:  Bad EIP value.

event_log:
:2011-06-11-00:32:57> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-11-00:32:59  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:32 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:00:33 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:39:50 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:32:59 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:57:37 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:47:52 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:30:41 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.